summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLlewelyn Trahaearn2015-07-17 01:37:14 -0700
committerLlewelyn Trahaearn2015-07-17 01:37:14 -0700
commit3e590fe87ecaa66c5dd2cda561f68f1d016c8a0d (patch)
treea2d687bdcc39d5f88ac816bf153236c180f55f17
downloadaur-3e590fe87ecaa66c5dd2cda561f68f1d016c8a0d.tar.gz
Initial import.
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD46
-rw-r--r--gschemas.install20
3 files changed, 86 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3002c4b9b33
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = gnome-shell-extension-dash-to-dock-git
+ pkgdesc = Extends the dash, transforming it into an intellihide dock.
+ pkgver = 44.r29.gaa1720b
+ pkgrel = 1
+ url = https://github.com/micheleg/dash-to-dock/
+ install = gschemas.install
+ arch = any
+ license = GPL
+ makedepends = git
+ makedepends = gnome-common
+ makedepends = intltool
+ depends = dconf
+ provides = gnome-shell-extension-dash-to-dock
+ conflicts = gnome-shell-extensions-git
+ conflicts = gnome-shell-extension-dash-to-dock
+ source = gnome-shell-extension-dash-to-dock-git::git+https://github.com/micheleg/dash-to-dock.git
+ sha512sums = SKIP
+
+pkgname = gnome-shell-extension-dash-to-dock-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..257c03b88f9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Maintainer: Llewelyn Trahaearn <WoefulDerelict at GMail dot com>
+# Contributor: Janne Haapsaari <haaja at iki dot fi>
+# Contributor: Christopher KrooƟ <didi2002 at web dot de>
+
+pkgname=gnome-shell-extension-dash-to-dock-git
+pkgver=44.r29.gaa1720b
+pkgrel=1
+pkgdesc="Extends the dash, transforming it into an intellihide dock."
+arch=('any')
+url="https://github.com/micheleg/dash-to-dock/"
+license=('GPL')
+depends=('dconf')
+makedepends=('git' 'gnome-common' 'intltool')
+provides=('gnome-shell-extension-dash-to-dock')
+conflicts=('gnome-shell-extensions-git' 'gnome-shell-extension-dash-to-dock')
+install="gschemas.install"
+source=("${pkgname}::git+https://github.com/micheleg/dash-to-dock.git")
+sha512sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/^extensions.gnome.org.v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ _branch=master
+ cd "${srcdir}/${pkgname}"
+ git checkout ${_branch}
+ sed -i 's/INSTALLBASE = ~\/.local\/share\/gnome-shell\/extensions/INSTALLBASE = ${DESTDIR}/' Makefile
+}
+
+build() {
+ cd "${srcdir}/${pkgname}"
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}"
+ mkdir -p "${pkgdir}/usr/share/gnome-shell/extensions" "${pkgdir}/usr/share/glib-2.0/schemas/"
+ make DESTDIR="${pkgdir}/usr/share/gnome-shell/extensions" install
+ install -m644 "schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml" \
+ "${pkgdir}/usr/share/glib-2.0/schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml"
+}
diff --git a/gschemas.install b/gschemas.install
new file mode 100644
index 00000000000..61789e42d2c
--- /dev/null
+++ b/gschemas.install
@@ -0,0 +1,20 @@
+post_install() {
+ glib-compile-schemas usr/share/glib-2.0/schemas/
+ instructions
+}
+
+post_upgrade() {
+ glib-compile-schemas usr/share/glib-2.0/schemas/
+ instructions
+}
+
+post_remove() {
+ glib-compile-schemas usr/share/glib-2.0/schemas/
+}
+
+instructions() {
+ /bin/cat << EOF
+Don't forget to restart GNOME Shell ([Alt]+[F2], r) and to enable extension
+with gnome-tweak-tool.
+EOF
+}